/*
	Programm EDBS_extra - Reader fuer ATKIS/ALK-Daten im EDBS-Format

	Modul edbs.h

	Copyright (C) 1995 Claus Rinner

	Version: 2.0 / ATKIS
	Stand: 17.03.1995

	Dieses Programm ist freie Software. Sie knnen es unter
	den Bedingungen der GNU General Public License, wie von der
	Free Software Foundation herausgegeben, weitergeben und/oder
	modifizieren, entweder unter Version 2 der Lizenz oder (wenn
	Sie es wnschen) jeder spteren Version.

	Die Verffentlichung dieses Programms erfolgt in der
	Hoffnung, da es Ihnen von Nutzen sein wird, aber OHNE JEDE
	GEWHRLEISTUNG - sogar ohne die implizite Gewhrleistung
	der MARKTREIFE oder der EIGNUNG FR EINEN BESTIMMTEN ZWECK.
	Details finden Sie in der GNU General Public License.

	Sie sollten eine Kopie der GNU General Public License zusammen
	mit diesem Programm erhalten haben. Falls nicht, schreiben Sie
	an die Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
	MA 02139, USA.
 */


#ifndef _EXTRA_EDBS_H
#define _EXTRA_EDBS_H


/* Auftragsarten */
#define ABBRUCH			(-1)
#define UNDEFINIERT		0
#define AUFTRAGSKENNSATZ	1
#define GEBIETSKENNZEICHNUNG	2
#define AUFTRAGSKENNDATEN	3
#define AUFTRAGSTEXTDATEN	4
#define OBJEKTDATEN		5
#define ATTRIBUTE		6
#define AUFTRAGSENDE		7

/* maximale EDBS-Satzlaenge gemaess Dokumentation */
#define MAX_SATZLAENGE	2000

/* max. Anzahl verarbeitbarer Fortsetzungssaetze */
#define MAX_FORTSATZ	10


typedef char EDBS_Satz[ MAX_FORTSATZ * MAX_SATZLAENGE ];


int lies_satz( void );

void schreibe_satz( void );
/* Schreibt den kompletten satz auf stderr. */

void lies_string( int n, char *ziel );

int lies_zahl( int n );

int lies_whf( void );

void lies_nix( int n );

char lies_char( void );

int lies_edbs( void );


#endif	/* _EXTRA_EDBS_H */
